import { program } from '@commander-js/extra-typings';
import { build } from '@j_c/gracile__engine/modes/build';
//
import { dev } from '@j_c/gracile__engine/modes/dev';
import { preview } from '@j_c/gracile__engine/modes/preview';
program
    .command('dev')
    .option('p, --port <number>')
    .action((_str, options) => {
    const opts = options.opts();
    dev({
        port: opts.port ? Number(opts.port) : undefined,
    });
});
program.command('build').action((_str, _options) => {
    build().catch(console.error);
});
program
    .command('preview')
    .option('p, --port <number>')
    .action((_str, options) => {
    const opts = options.opts();
    preview({
        port: opts.port ? Number(opts.port) : undefined,
    }).catch(console.error);
});
// NOTE: disabled for now (might separate it)
// program.command('add <addon>').action((str, options) => {
//   add(str);
// });
program.parse();
